org.apache.solr.client.solrj.response

## Class DelegationTokenResponse.Get

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.DelegationTokenResponse
      - - org.apache.solr.client.solrj.response.DelegationTokenResponse.Get

All Implemented Interfaces:
  Serializable

Enclosing class:
  DelegationTokenResponse

    public static class DelegationTokenResponse.Get
    extends DelegationTokenResponse

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.response.DelegationTokenResponse

`DelegationTokenResponse.Cancel, DelegationTokenResponse.Get, DelegationTokenResponse.JsonMapResponseParser, DelegationTokenResponse.Renew`

### Constructor Summary

Constructors
Constructor and Description
`Get()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDelegationToken()` Get the urlString to be used as the delegation token

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, getException, serializable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Get

    public Get()

### Method Detail

#### getDelegationToken

    public String getDelegationToken()

Get the urlString to be used as the delegation token